あれ?って思って調べてみると、どうやらCS4辺りからTWAIN対応機器へのサポートがなくなったようで。
一応、下記プラグインを導入すると使えるよう。

Windows版

http://www.adobe.com/support/downloads/detail.jsp?ftpID=4744

Mac版

http://www.adobe.com/support/downloads/detail.jsp?ftpID=4743

でも、64bit版は基本対応していないようで、使う時は32bit版で立ち上げないとダメでした。残念。